UPDATE Shift 
SET name = CONCAT(
    CASE DAYOFWEEK(startTime)
        WHEN 1 THEN 'Неделя'
        WHEN 2 THEN 'Понеделник'
        WHEN 3 THEN 'Вторник'
        WHEN 4 THEN 'Сряда'
        WHEN 5 THEN 'Четвъртък'
        WHEN 6 THEN 'Петък'
        WHEN 7 THEN 'Събота'
    END,
    ' ',
    DAY(startTime),
    ', ',
    TIME_FORMAT(DATE_ADD(startTime, INTERVAL 3 HOUR), '%H:%i'),
    ' - ',
    TIME_FORMAT(DATE_ADD(endTime, INTERVAL 3 HOUR), '%H:%i')
)
WHERE name = 'Нова смяна';